<div class="row justify-content-center">
  <div class="col-8">
    <div *ngIf="order">
      <h2 data-cy="orderDetailsHeading"><span jhiTranslate="ltnAppApp.order.detail.title">Order</span></h2>

      <hr />

      <jhi-alert-error></jhi-alert-error>

      <jhi-alert></jhi-alert>

      <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="ltnAppApp.order.id">Id</span></dt>
        <dd>
          <span>{{ order.id }}</span>
        </dd>
        <dt><span jhiTranslate="ltnAppApp.order.amount">Amount</span></dt>
        <dd>
          <span>{{ order.amount }}</span>
        </dd>
        <dt><span jhiTranslate="ltnAppApp.order.createdTime">Created Time</span></dt>
        <dd>
          <span>{{ order.createdTime | formatMediumDate }}</span>
        </dd>
        <dt><span jhiTranslate="ltnAppApp.order.customer">Customer</span></dt>
        <dd>
          <div *ngIf="order.customer">
            <a [routerLink]="['/customer', order.customer?.id, 'view']">{{ order.customer?.id }}</a>
          </div>
        </dd>
      </dl>

      <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
        <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Back</span>
      </button>

      <button type="button" [routerLink]="['/order', order.id, 'edit']" class="btn btn-primary">
        <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Edit</span>
      </button>
    </div>
  </div>
</div>
